### Signal

# EDataServer SourceRegistryWatcher::filter

since: 3.26

#### Declaration

    gboolean
    filter (
      ESourceRegistryWatcher* self,
      ESource* source,
      gpointer user_data
    )

#### Description [src]

A filter signal which verifies whether the `source` can be considered for inclusion in the watcher or not. If none is set then all the sources are included.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Signal can be directly emitted on objects from user code
Available since: 3.26

#### Parameters

`source`

  Type: `ESource`

  The `ESource` to filter.

  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`TRUE`, when the `source` can be included, `FALSE` otherwise.